Subject: Re: [nf-next PATCH] netfilter: Extend SYNPROXY with a --continue option

From: Patrick McHardy <[email-masked]>
Date: Wed, 28 Aug 2013 18:00:42 +0200

On Wed, Aug 28, 2013 at 05:26:55PM +0200, Jesper Dangaard Brouer wrote:
> Packets reaching SYNPROXY are default dropped, as they are most likely
> invalid (given the state matching).  In other configurations it might
> be beneficial to let packet not consumed by SYNPROXY (SYN and ACK) to
> continue being processed by the stack.
> 
> Introducing a --continue option/flag for the SYNPROXY target to allow
> these unmatched packets to continue being processed.  This would also
> help in debugging the module via LOG.

I don't think we should add an option for this. Just DROP packets consumed
by the target and have the other ones continue.